API DocumentationSpecifications

Get specifications

GET
/api/manufacturer/v1/part-specification

Retrieves a paginated list of specifications with optional filtering and search

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Query Parameters

filter*string

Filter specifications

page?integer

Zero-based page index (0..N)

Range0 <= value
Default0
size?integer

The size of the page to be returned

Range1 <= value
Default20
sort?array<string>

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Default
[  "createdAt,DESC"]
search?string

Search term

customerOrganisationId?integer

Optional customer organisation. Restricts results to specifications whose part revision is claimed by that customer organisation.

Formatint64

Response Body

Successfully retrieved specifications

application/json
  1. response
content*array<unknown>
totalElements*integer
totalPages*integer
pageNumber*integer
pageSize*integer
isEmpty*boolean
isFirst*boolean
isLast*boolean
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/part-specification?filter=string'
{  "content": [    null  ],  "totalElements": 0,  "totalPages": 0,  "pageNumber": 0,  "pageSize": 0,  "isEmpty": true,  "isFirst": true,  "isLast": true}